#include <stddef.h>

struct ttn_packet_t;
int ttn_crc8_check(const void *pkt, size_t len);
int ttn_crc16_check(const void *pkt, size_t len);

struct ttn_pac_t;
void ttn_crc8_calculate(void *pkt, size_t len);
void ttn_crc16_calculate(void *pkt, size_t len);
